Subject: Re: bug#56484: Installation bug

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 13 Jul 2022 21:46:23 -0400

Hello imran,

imran saleh <[email-masked]> writes:

> Hi, 
>
> When running the graphical installer (from the 13.0 iso), when it gets to the disk partitioning bit, when I choose
> "automatic disk partitioning with encryption" it doesn't create a swap partition. I freed the root space so that I could
> create one myself, however when you choose "linux-swap" as your file system type, all the options disappear. In
> particular, the option to enable encryption is no longer available, so it seems the swap partition is unencrypted by
> default and with no way to change it. Hope this helps. 

Thanks for the report.  Note that the 1.3.0 image is getting a bit old
(+1 year old).  We should cut a release sometime soon but in the
meantime you can try a development snapshot from the build server such
as this one [0] (by visiting to https://ci.guix.gnu.org/, then clicking
on "images", then on the last build ID on top, then on the 'display/PC
monitor' shaped icon, then on the circle corresponding to the desired
image type/architecture).

Your feedback on a development image would be welcome and help to adjust
before the release.

[0]  https://ci.guix.gnu.org/build/1108690/details